mod metar;
mod req;
mod ui;

use crate::utils::config;

/// Stuct to store the state of the running application
pub struct App<'a> {
    pub name: &'a str,
    pub config: config::Config,
    tab_state: ui::tabs::TabState,
}

impl<'a> Default for App<'a> {
    /// Creates the default startup state for the app;
    fn default() -> Self {
        Self {
            name: "AvBag - Welcome",
            config: config::Config::new(),
            tab_state: ui::tabs::TabState::default(),
        }
    }
}
