use std::error::Error;
use crate::error::AvBagError;
use reqwest::Client;

#[derive(Debug, Clone)]
pub struct Requests {
    client: Client,
}

impl PartialEq for Requests {
    fn eq(&self, _: &Self) -> bool {
        return true;
    }
}

impl Eq for Requests {}

impl Requests {
    pub fn new() -> Self {
        Requests {
            client: Client::new(),
        }
    }

    pub async fn make_request(&self, target: String) -> Result<String, Box<dyn Error>> {
        let response = self.client.get(&target).send().await?;

        if response.status().is_success() {
            let body = response.text().await?;
            Ok(body)
        } else {
            Err(Box::new(AvBagError::RequestNotAvailable))
        }
    }
}