use crate::app::App;
use futures::executor::block_on;
use crate::theme::onedark::ONE_DARK;

pub mod tabs;

impl<'a> eframe::App for App<'a> {
    fn update(&mut self, ctx: &egui::Context, _frame: &mut eframe::Frame) {
        let frame = egui::Frame::default().fill(ONE_DARK.bg);
        // Display the top bar of tabs
        tabs::display_tabs(&mut self.tab_state, ctx, &frame);

        // Display tabs for main UI
        match self.tab_state.get_current_tab() {
            Some(tab) => {
                block_on(tab.display_tab(ctx, &frame));
            },

            // TODO: What to do if the tab is not available
            None => {
                eprintln!("Tab not available");
            },
        };

        ()
    }
}
