use serde::Deserialize;

const DEFAULT_CONFIG: &str = "./config.yml";

#[derive(Debug, Default, Deserialize)]
pub struct Config {
    pub metar_url: String,
}

impl Config {
    pub fn new() -> Self {
        Config::from_file().unwrap()
    }

    pub fn from_file() -> Result<Self, Box<dyn std::error::Error>> {
        let config_content = std::fs::read_to_string(DEFAULT_CONFIG)?;
        let config: Config = serde_yaml::from_str(&config_content)?;
        Ok(config)
    }
}